// JavaScript Document
//variables
	var my_media = null;

function stopAudio() {
		$("audio").get(0).pause();
		$("audio").get(2).pause();
		$("audio").get(3).pause();
		$("audio").get(4).pause();
		$("audio").get(5).pause();
		$("audio").get(6).pause();
		$("audio").get(7).pause();
		$("audio").get(8).pause();
		$("audio").get(9).pause();
		$("audio").get(10).pause();
		$("audio").get(11).pause();
		$("audio").get(12).pause();
		$("audio").get(13).pause();
		$("audio").get(14).pause();
		$("audio").get(15).pause();
		$("audio").get(16).pause();
		$("audio").get(17).pause();
		$("audio").get(18).pause();
		$("audio").get(19).pause();
		$("audio").get(20).pause();
		$("audio").get(21).pause();
		$("audio").get(22).pause();
		$("audio").get(23).pause();
		$("audio").get(24).pause();
		$("audio").get(25).pause();
		$("audio").get(26).pause();
		$("audio").get(27).pause();
		$("audio").get(28).pause();
		$("audio").get(29).pause();
		$("audio").get(30).pause();
		$("audio").get(31).pause();
		$("audio").get(32).pause();
		$("audio").get(33).pause();
		$("audio").get(34).pause();
		$("audio").get(35).pause();
		$("audio").get(36).pause();
		$("audio").get(37).pause();
		$("audio").get(38).pause();
        }

/* -- limpiar el contenido -- */
function limpiar(){
	//silenciando
	stopAudio();
	/*-- el encendido de los iconos --*/
	$("#ico_efectos").removeClass("act");
	$("#ico_fondos").removeClass("act");
	$("#ico_famosos").removeClass("act");
	/*-- el contenido --*/
	$("#cont_efectos").fadeOut(500);
	$("#cont_fondos").fadeOut(500);
	$("#cont_famosos").fadeOut(500);
	/*-- la navegacion --*/
	$("#ind_efectos").fadeOut(500);
	$("#ind_fondos").fadeOut(500);
	$("#ind_famosos").fadeOut(500);
	}
function info(){
		$("#btn_info").click(function(){	
		$("#cont_info").fadeIn(500);
		var num = 0;
		
		
		animar(0);
		
		});
	function animar(n){
		var cant = $("#cont_info li").length;
		if(n==cant){
			$("#cont_info").fadeOut(500);
			}
		else{
			$("#cont_info li").eq(n).fadeIn(500);
			setTimeout(function(){$("#cont_info li").eq(n).fadeOut(500)},1500);
			setTimeout(function(){animar(n+1)},2000);
		}
		}	
	}

		
$(document).ready(function(e) {
   
   // declaracion de variables
    var y_total = window.innerHeight; /*-- alto total --*/
    var x_total = window.innerWidth; /*-- ancho total --*/
	var cant_efectos;
	var cant_fondos;
	var cant_famosos;
	
	
	//diferenciamos entre iphone 4/4s y 5
	
	
	/*-- redimensionamiento --*/
	$("body").css("height",y_total + "px");
	$("body").css("width",x_total + "px");
	/*-- alto del contenedor --*/
	$("#contenido").css("height",y_total - $("#cabecera").innerHeight() - $("#pie").innerHeight() + "px");
	
	/*-- calculando el alto de los contenedores para el iscroll --*/
	$("#cont_efectos,#cont_fondos,#cont_famosos,#cont_int").css("height",y_total - 35 - $("#cabecera").innerHeight() - $("#pie").innerHeight() + "px");
	/*-- alto de cont_info --*/
	$("#cont_info,#cont_info li").css("height",y_total + "px");
	/*-- calculando el ancho de los contenedores para los iscroll y el cont_info --*/
	$("#cont_efectos,#cont_efectos .scroller li,#cont_fondos,#cont_fondos .scroller li,#cont_famosos,#cont_famosos .scroller li,#cont_int,#cont_info,#cont_info li").css("width",x_total + "px");
	/*-- calculando la suma de los anchos de items --*/
	$("#cont_efectos .scroller").css("width",x_total*cant_efectos + "px");
	$("#cont_fondos .scroller").css("width",x_total*cant_fondos + "px");
	$("#cont_famosos .scroller").css("width",x_total*cant_famosos + "px");	
	
	/*-- codigo botón efectos --*/
	$("#ico_efectos").click(function(){
		limpiar();
		
		$("#ico_efectos").addClass("act");
		$("#cont_efectos,#ind_efectos").fadeIn(500);
		$("#cabecera #titulo").html("EFECTOS");
		myScroll.refresh();		
	})
	/*-- codigo botón fondos --*/
	$("#ico_fondos").click(function(){
		limpiar();
		
		$("#ico_fondos").addClass("act");
		$("#cont_fondos,#ind_fondos").fadeIn(500);
		$("#cabecera #titulo").html("FONDOS");
		myScroll2.refresh();			
	})
	/*-- codigo botón famosos --*/
	$("#ico_famosos").click(function(){
		limpiar();
		
		$("#ico_famosos").addClass("act");
		$("#cont_famosos,#ind_famosos").fadeIn(500);
		$("#cabecera #titulo").html("HUMANOS");
		myScroll3.refresh();
					
	})
	/*-- activando el primer campo --*/
	
	setTimeout(function(){$("#ico_efectos").click()},500);
	
	/*-- desactivar sonidos --	*/
		$(".ico_btn").click(function(){
			stopAudio(); 
			});
		
	/*-- activar sonidos --*/
		/*-- Efectos --*/
		$("#btn_aullido").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_badumtss").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_beep").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_carro").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_chanchanchan").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_cuckoo").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_error").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_golpe").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_helicoptero").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_latigo").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_magia").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_moneda").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_reloj").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_sirena").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_timbre").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_trombon").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_vuvuzela").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_windows").click(function(){$(this).find("audio").get(0).play();});
		
		/*-- fondos --*/
		$("#btn_grillos").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_cuervos").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_suspenso").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_terror").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_lluvia").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_guerra").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_gente").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_hallelujah").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_boda").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_triste").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_fuegosartificiales").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_campeon").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_circo").click(function(){$(this).find("audio").get(0).play();});
		
		/*-- famosos --*/
		$("#btn_awww").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_beso").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_boo").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_haha").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_latidos").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_risa_malvada").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_risas").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_silbido").click(function(){$(this).find("audio").get(0).play();});
		$("#btn_tos").click(function(){$(this).find("audio").get(0).play();});
		
	/*-- activar instrucciones --*/
	info();
		
	/*-- activar instrucciones --*/
	var fukuda = 0;
	$("#btn_fukuda").click(function(){
		if(fukuda==0){
			fukuda=1;
			$("#cont_fukuda").animate({"height":y_total - $("#cabecera").height() + "px"},500);
			$("#btn_info").animate({"opacity":"0.25"},500);
			$("#titulo").animate({"opacity":"0"},500);
			/**-- desabilitar --**/
			$("#btn_info").off("click");
		}
		else{
			fukuda=0;
			$("#cont_fukuda").animate({"height":"0px","paddingTop":"0px"},500);
			$("#btn_info").animate({"opacity":"1"},500);
			$("#titulo").animate({"opacity":"1"},500);
			$("#btn_info").on("click");
			info();
			}
	});
	
});		


/*-- iscroll --*/
var myScroll;
var myScroll2;
var myScroll3;

function loaded() {
	myScroll = new iScroll('cont_efectos', {
		snap: true,
		momentum: false,
		bounce:false,
		hScrollbar: false,
		onScrollEnd: function () {
			document.querySelector('#ind_efectos > li.active').className = '';
			document.querySelector('#ind_efectos > li:nth-child(' + (this.currPageX+1) + ')').className = 'active';
		}
	 });
	 
	 myScroll2 = new iScroll('cont_fondos', {
		snap: true,
		momentum: false,
		bounce:false,
		hScrollbar: false,
		onScrollEnd: function () {
			document.querySelector('#ind_fondos > li.active').className = '';
			document.querySelector('#ind_fondos > li:nth-child(' + (this.currPageX+1) + ')').className = 'active';
		}
	 });
	 myScroll3 = new iScroll('cont_famosos', {
		snap: true,
		momentum: false,
		bounce:false,
		hScrollbar: false,
		onScrollEnd: function () {
			document.querySelector('#ind_famosos > li.active').className = '';
			document.querySelector('#ind_famosos > li:nth-child(' + (this.currPageX+1) + ')').className = 'active';
		}
	 });


}

document.addEventListener('DOMContentLoaded', loaded, false);


